• 如果您觉得本站非常有看点,那么赶紧使用Ctrl+D 收藏吧

redis6安装报错You need tcl 8.5 or newer in order

互联网 diligentman 2周前 (01-13) 3次浏览

问题

linux安装redis6.x时候,make test后有错误如下

You need tcl 8.5 or newer in order to run the Redis test

解决方法

1.直接安装新的tcl,命令如下:

yum install -y tcl-devel

2.清空之前的make的缓存命令:

make distclean

3.重新make编译命令:

make

4.结束后重新测试命令:

make test

结束

具体其他安装命令 可以查看 redis解压后的目录下 README.MD


喜欢 (0)